# -*- coding: utf-8 -*-

#Copyright 2009 tv-player team <tvplayer.staff@gmail.com>
#       
#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU Lesser General Public License as published by
#the Free Software Foundation; version 3 of the License.
#       
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU Lesser General Public License for more details.
#       
#You should have received a copy of the GNU Lesser General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#MA 02110-1301, USA.

import urllib
from xml.dom import minidom
import string
import os

home = os.path.expanduser('~')
config_dir = home +'/.tvplayer'
#webXMLfile = urllib.urlopen("http://www.rai.tv/dl/RaiTV/videoWall/PublishingBlock-5566288c-3d21-48dc-b3e2-af7fbe3b2af8.xml")
webXMLfile = urllib.urlopen("http://www.objects.rai.it/dl/objects/xml/raitv/Page-905f9415-7875-4087-a647-7ecfe784614f.html")

xmldoc = minidom.parse(webXMLfile)

webXMLfile.close()
file=open(config_dir+"/RAI_xml.list","w")

itemlist = xmldoc.getElementsByTagName('item')

for i in itemlist:
	videolist = i.getElementsByTagName("videoUnit")
	urllist = i.getElementsByTagName("url")
	cont=0
	if videolist:
		item = string.upper(i.attributes["name"].value)
		for j in videolist:
			file.write("<b>"+item.encode("utf-8").replace("&","&amp;").replace("&amp;amp;","&amp;")+"</b> - <i>"+j.attributes["name"].value.encode("utf-8").replace("&","&amp;").replace("&amp;amp;","&amp;").replace("<br","")+"</i> ~"+urllist[cont].toxml()[5:-6].encode("utf-8")+"\n")
			cont+=1

file.close()
