# -*- coding: utf-8 -*-

#Copyright 2009 tv-player team <tvplayer.staff@gmail.com>
#       
#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU Lesser General Public License as published by
#the Free Software Foundation; version 3 of the License.
#       
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU Lesser General Public License for more details.
#       
#You should have received a copy of the GNU Lesser General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#MA 02110-1301, USA.

import gtk
import pygtk
import os
import urllib

from libradiotv.threadXML import Thread_youtubeDownload
from libradiotv.player import Player
from libmimms.core import Thread_mimms

from paths import STUFF_DIR

import gettext

_ = gettext.gettext

class Dialog_aggiornamenti() :

    def __init__(self,versione):
        builder = gtk.Builder()
        builder.set_translation_domain('tvplayer')
        builder.add_from_file( os.path.join( STUFF_DIR, "ui", "dialog.xml" ) ) 
        builder.connect_signals(self)
        self.dialog1 = builder.get_object("dialog1")
        self.image1 = builder.get_object("image1")
        self.label = builder.get_object("label")
        self.buttonOK = builder.get_object("buttonOK")
        self.linkbutton = builder.get_object("linkbutton")
        
        self.open=urllib.urlopen("http://tvplayersite.altervista.org/online/versione")
        self.vers=self.open.read()
        self.open.close()
		
        if versione==self.vers[:-1]:
            self.image1.set_from_file("pixmaps/verde.png")
            self.label.set_text(_("There aren't newer versions\nof Tv-Player"))
            self.linkbutton.hide()
        else:
			self.image1.set_from_file("pixmaps/rosso.png")
			self.label.set_text(_("Is available the version: ")+self.vers[:-1]+_("\nVist the site"))
			self.linkbutton.show()

        self.dialog1.show()
        
    def applica(self,data=None):
		a=0

    def close(self,window_add):
        self.dialog1.hide()
        gtk.main_quit()
 
    def main(self):
        gtk.main()
        
class Dialog_about() :

    def __init__(self):
		
        builder = gtk.Builder()
        builder.set_translation_domain('tvplayer')
        builder.add_from_file( os.path.join ( STUFF_DIR, "ui", "dialog.xml" ) ) 
        builder.connect_signals(self)
        self.dialog1 = builder.get_object("aboutdialog")
        self.dialog1.connect("response", lambda d, r: d.destroy())
        
        self.dialog1.show()
        
    def applica(self,data=None):
		a=0

    
    def close(self,data=None):
        gtk.main_quit()

    def main(self):
        gtk.main()

class Dialog_preferenze() :
	
    def __init__(self,PLAYER,vbox6,statusbar,listgen,vbox5,vbox2,nationlist,combobox3,window1):
		
        self.PLAYER=PLAYER
        self.vbox6=vbox6
        self.statusbar=statusbar
        self.listgen=listgen
        self.window1=window1
        self.data=""
        self.vbox5=vbox5
        self.vbox2=vbox2
        self.nationlist=nationlist
        self.combobox3=combobox3
		
        builder = gtk.Builder()
        builder.set_translation_domain('tvplayer')
        builder.add_from_file( os.path.join( STUFF_DIR, "ui", "dialog.xml" ) ) 
        builder.connect_signals(self)
        self.window_preferenze = builder.get_object("window_preferenze")
        self.integrato_item = builder.get_object("integrato_item")
        self.vlc_item = builder.get_object("vlc_item")
        self.totem_item = builder.get_object("totem_item")
        self.mplayer_item = builder.get_object("mplayer_item")
        self.personal_item = builder.get_object("personal_item")
        self.entry_player = builder.get_object("entry_player")
        
        self.checkbutton1 = builder.get_object("checkbutton1")
        self.checkbutton2 = builder.get_object("checkbutton2")
        self.entry_player.props.sensitive=False
        
        self.combobox1 = builder.get_object("combobox1")
		###liststore combobox1 LANGUAGE
        self.liststore1 = gtk.ListStore(str)
        self.cell1 = gtk.CellRendererText()
        self.combobox1.pack_start(self.cell1)
        self.combobox1.set_attributes(self.cell1, text=0)
        
        for i in self.nationlist:
            self.liststore1.append([i])
        self.combobox1.set_model(self.liststore1)
        self.combobox1.set_active(int(self.PLAYER[4]))
        
        self.entry_player.set_text(self.PLAYER[1])
        if self.PLAYER[2]=='True':
            set=True
        else:
            set=False	
        self.checkbutton1.set_active(set)
        if self.PLAYER[3]=='True':
            set=True
        else:
            set=False
        self.checkbutton2.set_active(set)
        
        if (self.PLAYER[0]=="vlc"):
            self.vlc_item.set_active(True)
        elif (self.PLAYER[0]=="totem"):
            self.totem_item.set_active(True)
        elif (self.PLAYER[0]=="mplayer"):
            self.mplayer_item.set_active(True)
        elif (self.PLAYER[0]=="integrato"):
            self.integrato_item.set_active(True)
        else:
            self.personal_item.set_active(True)
            self.entry_player.props.sensitive=True
        
        self.window_preferenze.show()
        
    def close(self,data=None):
        self.window_preferenze.destroy()
       # gtk.main_quit()

    def select_player(self, widget, data):
		###seleziona player predefinito
        if (widget.get_active()):
			self.data=data
			self.entry_player.props.sensitive=False
			if data=="personalizzato":
				self.entry_player.props.sensitive=True

    def applica(self,data1=None):
		###show/hide tab
		self.vbox6.show()
		if self.checkbutton1.get_active():
			self.PLAYER[2]='True'
			self.vbox5.show()
		else:
			self.PLAYER[2]='False'
			self.vbox5.hide()
			
		if self.checkbutton2.get_active():
			self.PLAYER[3]='True'
			self.vbox2.show()
		else:
			self.PLAYER[3]='False'
			self.vbox2.hide()
		
		###applica player predefinito
		if self.integrato_item.get_active()!=True:
			self.vbox6.hide()
			self.window1.resize(440,481)
			print self.window1.get_size()
			
			
		self.PLAYER[1]=self.entry_player.get_text()
		self.PLAYER[4]=str(self.combobox1.get_active())
		self.combobox3.set_active(int(self.PLAYER[4]))
			
		if self.personal_item.get_active()==True:
			self.vbox6.hide()
			self.PLAYER[0]=self.entry_player.get_text()
			print _("Player:")+self.PLAYER[0]
			self.statusbar.push(1,_("Selected player: ")+self.PLAYER[0])
			self.personal_item.set_active(True)
		elif self.data=="":
			#giusto per fare qualcosa
			self.data=self.PLAYER[0]
		else:
			self.PLAYER[0]=self.data
			print _("Player:")+self.PLAYER[0]
			self.statusbar.push(1,_("Selected player: ")+self.PLAYER[0])
			
		self.listgen.write_player_config(self.PLAYER[0],self.PLAYER[1],self.PLAYER[2],self.PLAYER[3],self.PLAYER[4])
		self.close()
			
    def main(self):
        self.integrato_item.connect("toggled", self.select_player, "integrato")
        self.vlc_item.connect("toggled", self.select_player, "vlc")
        self.totem_item.connect("toggled", self.select_player, "totem")
        self.mplayer_item.connect("toggled", self.select_player, "mplayer")
        self.personal_item.connect("toggled", self.select_player, "personalizzato")
        
        
class Dialog_Saveflv() :
	
    def __init__(self,url,progressbar,statusbar):
        self.url=url
        self.progressbar=progressbar
        self.statusbar=statusbar
		
        builder = gtk.Builder()
        builder.set_translation_domain('tvplayer')
        builder.add_from_file( os.path.join( STUFF_DIR, "ui", "dialog.xml" ) ) 
        builder.connect_signals(self)
        self.file_save = builder.get_object("filechooserdialog1")
        self.file_save.set_do_overwrite_confirmation(True)

        self.file_save.show()

    def applica(self,data=None):
		posizione = self.file_save.get_filename()
		if posizione!=None:
		   # print posizione
		    th=Thread_youtubeDownload(self.url,self.progressbar,posizione,self.statusbar)
		    th.start()
		    self.close()

    def close(self,data=None):
        self.file_save.destroy()

class Dialog_SaveRec() :
	
    def __init__(self,url,progressbar,statusbar,rec_button):
        self.url=url
        self.progressbar=progressbar
        self.statusbar=statusbar
        self.rec_button=rec_button
		
        builder = gtk.Builder()
        builder.set_translation_domain('tvplayer')
        builder.add_from_file( os.path.join( STUFF_DIR, "ui", "dialog.xml" ) ) 
        builder.connect_signals(self)
        self.file_save = builder.get_object("filechooserdialog1")
        self.file_save.set_do_overwrite_confirmation(True)

        self.file_save.show()

    def applica(self,data=None):
		posizione = self.file_save.get_filename()
		if posizione!=None:
		    self.thmimms=Thread_mimms([self.url, posizione],self.progressbar,self.statusbar)
		    self.thmimms.start()
		    self.file_save.destroy()
		    
    def stop_thread(self,data=None):
        self.thmimms.close()

    def close(self,data=None):
        self.rec_button.set_active(False)
        self.file_save.destroy()

