#!/usr/bin/python

#Copyright 2009 tv-player team <tvplayer.staff@gmail.com>
#       
#This program is free software; you can redistribute it and/or modify
#it under the terms of the GNU Lesser General Public License as published by
#the Free Software Foundation; version 3 of the License.
#       
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU Lesser General Public License for more details.
#       
#You should have received a copy of the GNU Lesser General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#MA 02110-1301, USA.

import pygtk
pygtk.require('2.0')
import gtk
import os

from paths import STUFF_DIR

import gettext

_ = gettext.gettext

class televideo:
	val=[1,2,3,4]
	reg="Nazionale"
	num="100"
	pag=""
	link="http://www.televideo.rai.it/televideo/pub/tt4web/"
	link2="/page-"
	link3=".png"
	home = os.path.expanduser('~')
	config_dir = home +'/.tvplayer'
	def __init__(self):
		self.win = gtk.Window(gtk.WINDOW_TOPLEVEL)
		self.win.connect("delete_event", self.delete_event)
		self.win.connect("destroy", self.destroy)
		self.win.set_resizable(False)
		self.win.set_title("Televideo")
		self.win.set_icon_from_file( os.path.join( STUFF_DIR, "pixmaps", "tv-player.png") )
		self.win.set_border_width(5)
		self.vbox = gtk.VBox(False,5)
		self.hbox = gtk.HBox(False,5)
		self.win.add(self.vbox)
		self.image = gtk.Image() 
		
		#frame1
		self.frame = gtk.Frame(_("Select page to display"))
		self.hbox.set_border_width(5)
		self.vbox.pack_start(self.frame, True, True, 0)
		self.frame.add(self.hbox)
		
		#bottone prec
		self.prec = gtk.Button("Precedente",gtk.STOCK_GO_BACK)
		self.prec.connect("clicked", self.precedente, self.image)
		#self.prec.set_size_request(-1, 20)
		self.hbox.pack_start(self.prec)
		
		#entry
		self.entry = gtk.Entry(3)
		self.entry.set_width_chars(3)
		self.entry.connect("activate", self.getUserInput)
		self.entry.set_alignment(0.5)
		self.entry.set_text("100")
		self.hbox.pack_start(self.entry)
		
		#bottone succ
		self.succ = gtk.Button(_("Next"),gtk.STOCK_GO_FORWARD)
		self.succ.connect("clicked", self.successivo, self.image)
		self.hbox.pack_start(self.succ)
		
		#pagine
		self.adjustment = gtk.Adjustment(value=1, lower=1, upper=20, step_incr=1, page_incr=0, page_size=0)
		self.spin_button = gtk.SpinButton(self.adjustment, climb_rate=0.0, digits=0)
		self.spin_button.set_size_request(40, -1)
		self.spin_button.connect("value-changed", self.aggiorna)
		self.hbox.pack_start(self.spin_button)
		
		#immagine
		self.hbox2 = gtk.HBox()
		self.hbox2.pack_start(self.image)
		self.vbox.pack_start(self.hbox2)
		
		#frame2
		self.hbox_reg = gtk.HBox()
		self.frame = gtk.Frame(_("Select regional teletext / Save image"))
		self.hbox_reg.set_border_width(5)
		self.vbox.pack_start(self.frame, True, True, 0)
		self.frame.add(self.hbox_reg)
		
		#lista regioni
		regioni = ["Nazionale","Abruzzo","Altoadige","Basilicata","Calabria","Campania","Emilia-Romagna","Friuli-Venezia Giulia","Lazio","Liguria","Lombardia","Marche","Molise","Piemonte","Puglia","Sardegna","Sicilia","Toscana","Trentino","Umbria","Valle d'Aosta","Veneto"]
		self.item_list = gtk.combo_box_new_text()
		self.item_list.set_wrap_width(2)
		#self.item_list.set_size_request(200, -1)
		#self.item_list.set_active_iter("Nazionale")
		self.item_list.connect("changed",self.cambio_reg)
		for x in regioni:
			self.item_list.append_text(x)
		self.hbox_reg.pack_start(self.item_list)
		
		#bottone salva
		self.butt_save = gtk.Button(_("SAVE"),gtk.STOCK_SAVE)
		self.butt_save.connect("clicked", self.salva)
		self.hbox_reg.pack_start(self.butt_save)	
		#self.vbox.pack_start(self.hbox_reg)

		#statusbar
		self.statusbar = gtk.Statusbar()
		self.statusbar.set_has_resize_grip(False)
		self.vbox.pack_start(self.statusbar)

		self.aggiorna(self.image)
		self.win.show_all()
	def delete_event(self, widget, event, data=None):
		return False
	def destroy(self, widget, data=None):
		return gtk.main_quit()
	def aggiorna(self, widget):
		tmp_pag=self.spin_button.get_value_as_int()
		if tmp_pag==1:
			self.pag=""
		else:
			self.pag=".%s" %str(tmp_pag)
		LINK="%s%s%s%s%s%s" %(self.link,self.reg,self.link2,self.num,self.pag,self.link3)
		controllo=os.system("if wget -O $HOME/.tvplayer/tmp.png %s; then (exit 1); else (exit 0); fi" %LINK)
		if controllo==0:
			print _("The page doesn't exist")
			self.statusbar.push(1,_("The page doesn't exist"))
			self.image.set_from_file(self.config_dir+"/error.png")
		else:
			self.image.set_from_file(self.config_dir+"/tmp.png")
			self.statusbar.push(1,_("Page %(num)s%(pag)s loaded - Teletext: %(reg)s") % {'num':self.num,'pag':self.pag,'reg':self.reg})
	def precedente(self,widget,data=None):
		tmp=int(self.num)
		tmp=tmp-1
		self.num=str(tmp)
		self.entry.set_text(self.num)
		if (self.spin_button.get_value_as_int()!=1):
			self.spin_button.set_value(1)
		else:
			self.aggiorna(self.image)
	def successivo(self,widget,data=None):
		self.spin_button.set_value(1)
		tmp=int(self.num)
		tmp=tmp+1
		self.num=str(tmp)
		self.entry.set_text(self.num)
		if (self.spin_button.get_value_as_int()!=1):
			self.spin_button.set_value(1)
		else:
			self.aggiorna(self.image)
	def cambio_reg(self,widget):
		self.spin_button.set_value(1)
		self.entry.set_text("100")
		self.num="100"
		tmp=self.item_list.get_active_text()
		if tmp=="Emilia-Romagna":
			tmp="Emilia"
		if tmp=="Friuli-Venezia Giulia":
			tmp="Friuli"
		if tmp=="Valle d'Aosta":
			tmp="Aosta"
		self.reg=tmp
		self.aggiorna(self.image)
		
	def salva(self,widget):
		#desktop = "/home/"+user+"/Desktop/"
		LINK="%s%s%s%s%s%s" %(self.link,self.reg,self.link2,self.num,self.pag,self.link3)
		controllo=os.system("if wget -O $HOME/televideo-"+self.num+self.pag+".png %s; then (exit 1); else (exit 0); fi" %LINK)
		if controllo==0:
			print _("The page doesn't exist")
			self.statusbar.push(1,_("The page doesn't exist"))
			self.image.set_from_file(self.config_dir+"/error.png")
			os.system("rm $HOME/televideo-"+self.num+self.pag+".png")
		else:
			self.statusbar.push(1,_("Saved in ")+self.home+"/televideo-"+self.num+self.pag+".png")
		
	def getUserInput (self, widget):
		self.num = self.entry.get_text()
		#print tmp
		#num=tmp
		self.aggiorna(self.image)

	def main(self):
		gtk.main()
